Need help unlocking 3gs running 4.3.2

Discussion in 'Jailbreaks and iOS Hacks' started by EdWoody, Aug 1, 2011.

  1. EdWoody macrumors newbie

    Joined:
    Aug 1, 2011
    #1
    Im fine with running 4.3.2 (And as i understand, you can't unteathered jailbreak the newest version, so i'm not really looking to update) normally, but ill be going on a holiday soon (staying in the country) and im switching carriers purely for the better coverage while im out.

    Some info:

    Jailbroken Phone 3gs, running 4.3.2 on baseband 05.16.02.
    Locked to optus, trying a prepaid telstra sim.


    I've had no issues with jailbreaking or cydia, but i can't seem to get unlocking to work. I'll install ultrasn0w and get a "Could not activate cellular data network" (which is meant to come up before you restart the iphone), but i get nothing after restarting the phone. NO service on the top bar, and a "unable to load network list" when i open "carrier" in settings.
    I've tried a second repo (hoping maybe the download was corrupted), but no dice.


    Could be a couple of things;

    Carrier settings, since i can't update, i may not have the latest ones.
    I understand 05.16.02. is a strange baseband for unlocking, is this true ?
    Phone just messing up because its been months since i last updated.


    A quick reply/solution would be appreciated, want to get this sorted out asap.

    Thanks for your help in advance, and sorry for failing at grammar.
     
  2. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #2
    The newest baseband you can unlock on the 3gs is 5.13. Your baseband cannot be unlocked.

    There is an option you can use if you choose, and that is to install the IPAD baseband on your phone using Redsn0w. The ipad baseband is 6.15.

    There are a couple of things to note if you use the ipad baseband.

    1. GPS will no longer function on your phone.
    2. You can never restore normally with itunes you must use custom firmware.
     
  3. awadeee macrumors 68020

    awadeee

    Joined:
    Jan 21, 2011
    Location:
    Viper City
    #3
    You're going to have to use Redsn0w to install the iPad baseband because any baseband above 5.13.04 is not unlockable, and most likely won't ever be.

    Uninstall ultrasn0w from your phone, and try using Redsn0w 0.9.6 RC11 to do this as some of the newer Redsn0w versions have trouble installing the baseband for whatever reason.

    After you have the baseband installed, re-install ultrasn0w and you will be unlocked.
     

Share This Page